summaryrefslogtreecommitdiff
path: root/buildbot/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'buildbot/build.sh')
-rwxr-xr-xbuildbot/build.sh10
1 files changed, 1 insertions, 9 deletions
diff --git a/buildbot/build.sh b/buildbot/build.sh
index 2203e7e..2e8894f 100755
--- a/buildbot/build.sh
+++ b/buildbot/build.sh
@@ -1,14 +1,6 @@
#!/bin/bash
-WHOAMI="$(whoami)"
-ACTIVE_COLOR="$(cat /home/test/active)"
-
-echo "whoami: $WHOAMI, active color: $ACTIVE_COLOR"
-
-if test $WHOAMI = $ACTIVE_COLOR; then
- echo "I'm the active color, no need to build Taler!"
- exit 1
-fi
+set -eu
PAUSE_LOCKFILE=/tmp/buildbot_pause.lock